## gcc-4.7 4.7.0~rc1-1

=== debian/changelog ===
gcc-4.7 (4.7.0~rc1-1) experimental; urgency=low

  * GCC-4.7 release candidate 1 (r184777).

  [ Marcin Juszkiewicz ]
  * Fix ARM sf/hf multilib dpkg-shlibdeps dependency generation.

  [ Matthias Klose ]
  * PR go/52218, don't build Go on ARM, getcontext/setcontext exists,
    but return ENOSYS.
  * Fix multiarch build on ia64.
  * Fix path calculation for the libstdc++ -gdb.py file when installed into
    multiarch locations. Closes: #661385. LP: #908163.
  * Disable Go on sparc (libgo getcontext/setcontext check failing).

  [ Thorsten Glaser ]
  * Apply patch from Alan Hourihane to fix err_bad_abi testcase on m68k.

  [ Jonathan Nieder ]
  * libstdc++6: Depends on libc (>= 2.11) for STB_GNU_UNIQUE support
    (Eugene V. Lyubimkin). Closes: #584572.
  * libstdc++6, libobjc2, libgfortran3, libmudflap0, libgomp1: Breaks
    pre-multiarch gcc. Closes: #651550.
  * libstdc++6: Lower priority from required to important. Closes: #661118.

  [Samuel Thibault]
  * Remove local patch, integrated upstream. Closes: ##661859.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Mar 2012 18:42:56 +0100

gcc-4.7 (4.7-20120210-1) experimental; urgency=low

  * GCC-4.7 snapshot build, taken from the trunk 20120210 (r184114).
  * kbsd-gnu.diff: Remove, integrated upstream.
  * Strip whitespace from with_libssp definition. Closes: #653255.
  * Remove soft-float symbols from 64bit powerpc libgcc1 symbols files.
  * Fix control file generation for cross packages. LP: #913734.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2012 21:38:12 +0100

gcc-4.7 (4.7-20120205-1) experimental; urgency=low

  * GCC-4.7 snapshot build, taken from the trunk 20120205 (r183903).
  * Enable Go on arm*, ia64, mips*, powerpc, s390*, sparc*.
  * libgo: Fix ioctl macro extracton.
  * Fix PR middle-end/52074, ICE in libgo on powerpc.
  * Revert: * Install static libc++{98,11} libraries.
  * Don't strip a `/' sysroot from the C++ include directories.
    Closes: #658442.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Feb 2012 09:16:03 +0100

gcc-4.7 (4.7-20120129-1) experimental; urgency=low

  * GCC-4.7 snapshot build, taken from the trunk 20120129 (r183674).
  * Configure --with-sysroot for wheezy and sid.
  * Install static libc++{98,11} libraries.
  * Install libstdc++ gdb.py file into /usr/lib/debug.
  * Just copy libstdc++convenience.a for the libstdc++_pic installation.
  * Remove trailing dir separator from system root.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Jan 2012 08:19:27 +0100

gcc-4.7 (4.7-20120121-1) experimental; urgency=low

  * GCC-4.7 snapshot build, taken from the trunk 20120121 (r183370).

  [ Matthias Klose ]
  * Fix C++ include paths when configured --with-system-root.

  [ Marcin Juszkiewicz ]
  * Fix control file generation for ARM multiarch cross builds.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jan 2012 20:24:29 +0100

gcc-4.7 (4.7-20120107-1) experimental; urgency=low

  * GCC-4.7 snapshot build, taken from the trunk 20120107 (r182981).

  * On armel/armhf, allow g*-multilib installation using the runtime
    libraries of the corresponding multiarch architecture.
  * Fix location of .jinfo files. Addresses: #654579.
  * Replace Fortran 95 with Fortran in package descriptions.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Jan 2012 21:24:56 +0100

gcc-4.7 (4.7-20111231-1) experimental; urgency=low

  * GCC-4.7 snapshot build, taken from the trunk 20111231 (r182754).

  [ Aurelien Jarno ]
  * Re-enable parallel builds on kfreebsd-i386, as the problem from bug
    #637236 only affects kfreebsd-amd64.

  [ Matthias Klose ]
  * Fix generating libphobos dependency for gdc. Addresses: #653078.
  * Link libmudflapth.so with -lpthread.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2011 09:42:13 +0100

gcc-4.7 (4.7-20111222-1) experimental; urgency=low

  * Update to SVN 20111222 (r182617) from the trunk.

  [Matthias Klose]
  * Remove obsolete ARM patch.
  * Install loongson.h header.
  * Update libgcc and libstdc++ symbols files.

  [Samuel Thibault]
  * Update hurd patch for 4.7, fixing build failure. Closes: #652693.

  [Robert Millan]
  * Update kbsd-gnu.diff for the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Dec 2011 10:52:01 +0100

gcc-4.7 (4.7-20111217-2) experimental; urgency=low

  * Don't provide 4.6.x symlinks.
  * Disable multilib for armhf.
  * Fix spu installation.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Dec 2011 17:22:10 +0100

gcc-4.7 (4.7-20111217-1) experimental; urgency=low

  * GCC-4.7 snapshot build.
    - Including the GFDL documentation; will stay in experimental
      until the 4.7.0 release sometime next year.
  * Update patches for the trunk.
  * Update symbols files.
  * Build libitm packages.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 23:19:46 +0100

gcc-4.6 (4.6.2-9) unstable; urgency=medium

  * Update to SVN 20111217 (r182430) from the gcc-4_6-branch.
    - Fix PR c++/51331.
  * Fix build dependencies for armel/armhf.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 10:40:26 +0100

gcc-4.6 (4.6.2-8) unstable; urgency=low

  * Update to SVN 20111216 (r182407) from the gcc-4_6-branch.
    - Fix PR tree-optimization/51485, PR tree-optimization/50569, PR c++/51248,
      PR c++/51406, PR c++/51161, PR rtl-optimization/49720, PR fortran/50923,
      PR fortran/51338, PR fortran/51550, PR fortran/47545, PR fortran/49050,
      PR fortran/51075.

  [ Matthias Klose ]
  * gdc-4.6: Provide <gnu-triplet>-{gdc,gdmd}-4.6 symlinks.

  [Ludovic Brenta]
  Merge from gnat-4.6 (4.6.2-2) unstable; urgency=low
  [Євгеній Мещеряков]
  * debian/patches/pr47818.diff: new.  Fixes: #614402.
  * debian/rules.patch: apply it.

  Merge from gnat-4.6 (4.6.2-1) unstable; urgency=low
  [Ludovic Brenta]
  * Suggest ada-reference-manual-{html,info,pdf,text} instead of just
    ada-reference-manual which no longer exists.
  * Do not suggest gnat-gdb, superseded by gdb.
  * Downgrade libgnat{vsn,prj}4.6-dev to priority extra; they conflict

